From 772cf1e9ad20115b08f8a8a70165d6d2f61bc4ac Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sun, 11 Jan 2015 14:28:08 -0800
Subject: [PATCH 1/4] libunwind: Add missing include of libunwind_ext.h to
 CompactUnwinder.hpp, DwarfInstructions.hpp, and UnwindCursor.hpp

http://www.llvm.org/bugs/show_bug.cgi?id=22202

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 src/CompactUnwinder.hpp   | 1 +
 src/DwarfInstructions.hpp | 2 +-
 src/UnwindCursor.hpp      | 1 +
 3 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/CompactUnwinder.hpp b/src/CompactUnwinder.hpp
index 7b97bf8..3d7e8ca 100644
--- a/src/CompactUnwinder.hpp
+++ b/src/CompactUnwinder.hpp
@@ -20,6 +20,7 @@
 #include <mach-o/compact_unwind_encoding.h>
 
 #include "Registers.hpp"
+#include "libunwind_ext.h"
 
 #define EXTRACT_BITS(value, mask)                                              \
   ((value >> __builtin_ctz(mask)) & (((1 << __builtin_popcount(mask))) - 1))
diff --git a/src/DwarfInstructions.hpp b/src/DwarfInstructions.hpp
index a428633..3e4fbd1 100644
--- a/src/DwarfInstructions.hpp
+++ b/src/DwarfInstructions.hpp
@@ -21,7 +21,7 @@
 #include "Registers.hpp"
 #include "DwarfParser.hpp"
 #include "config.h"
-
+#include "libunwind_ext.h"
 
 namespace libunwind {
 
diff --git a/src/UnwindCursor.hpp b/src/UnwindCursor.hpp
index 6892f96..941c906 100644
--- a/src/UnwindCursor.hpp
+++ b/src/UnwindCursor.hpp
@@ -33,6 +33,7 @@
 #include "DwarfInstructions.hpp"
 #include "EHHeaderParser.hpp"
 #include "libunwind.h"
+#include "libunwind_ext.h"
 #include "Registers.hpp"
 #include "Unwind-EHABI.h"
 
-- 
2.15.1

